Subject: Re: bug#20677: tooltips generate garbage

From: Michael Heerdegen <[email-masked]>
Date: Wed, 03 Jun 2015 18:10:00 +0200

Eli Zaretskii <[email-masked]> writes:

> > > Can you see whether Emacs gets an expose event when the tip pops
> > > down?

> If your Emacs was configured with --enable-checking='yes,glyphs', then
> you can see the fact that the function is called announced on stderr
> after invoking "M-x trace-redisplay RET".  (If you do that, I suggest
> to turn off blink-cursor-mode first, to reduce clutter from redisplay
> cycles induced by the blinking.)

I tried just that.  Whenever the tip pops down, I get one expose_frame
followed by one expose_window.

Regards,

Michael.